/**********************************************************************
 Freeciv - Copyright (C) 2005 - The Freeciv Project
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#ifndef FC__API_TYPES_H
#define FC__API_TYPES_H

#include "fc_types.h"

/* Classes. */
typedef struct player Player;
typedef struct nation Nation;
typedef struct city City;
typedef struct unit Unit;
typedef struct tile Tile;

/* add more specific types. */
#define FOO 0
#define BAR 1

enum { 
 POINT = 100, 
 LINE, 
 POLYGON
};

#endif

