/**********************************************************************
 Freeciv - Copyright (C) 2005 - The Freeciv Project
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#ifndef FC__API_STORE_H
#define FC__API_STORE_H

#include "api_types.h"

/* Registry store module. */
bool api_store_has_key(const char *key);
int api_store_set(const char *key, int data);
int api_store_get(const char *key);
int api_store_pop(const char *key);

/* Non-exported functions. */
void api_store_init(void);
void api_store_free(void);

#endif

